create table sscAdministrator (
	administratorID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorBean', 
	userName varchar2(100) not null unique, 
	password varchar2(255), 
	lastLogin varchar2(100), 
	isApiUser number(1,0) default 0,
	passwordExpires varchar2(255),
	numberOfFailedLogins number(10,0),
	lockedOutUntil varchar2(255),
	previousPasswords clob,
	allowedIPAddresses clob,
	isActive number(1,0) default 0, 
	primary key (administratorID)
);

create table sscAdministratorRole (
	administratorRoleID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorRoleBean', 
	administratorID number(10,0), 
	roleID number(10,0), 
	primary key (administratorRoleID)
);

create table sscRole (
	roleID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.RoleBean', 
	code varchar2(100) not null unique, 
	name varchar2(255), 
	description varchar2(255), 
	primary key (roleID)
);

alter table sscAdministratorRole add constraint FKD5A2C8C36BF4FD89 foreign key (roleID) references sscRole;
alter table sscAdministratorRole add constraint FKD5A2C8C3287060B3 foreign key (administratorID) references sscAdministrator;

CREATE INDEX IDX_sscRole_name ON sscRole (name);
CREATE INDEX IDX_sscRole_description ON sscRole (description);

CREATE OR REPLACE TRIGGER roleSequenceTrigger 
	BEFORE INSERT ON sscRole 
	FOR EACH ROW
	WHEN (new.roleID IS NULL)
		BEGIN
			SELECT hibernate_sequence.NEXTVAL
			INTO   :new.roleID
			FROM   dual; 
		END;;
		
