<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="showSIMAPIBillToThisAddress" scope="request" value="${requestScope.useCIMAPI}"/>
<c:set var="showBillingSection" value="${true}"/>
<c:set var="shipAddressClass" value="sideBySide"/>
<c:if test="${requestScope.useCIM and fn:length(fn:trim(settings.map.billingPrompt)) eq 0}">
	<c:set var="showBillingSection" value="${false}"/>
	<c:set var="shipAddressClass" value=""/>
</c:if>
<c:if var="displayDontSaveCheckbox" scope="request" test="${!empty sessionScope.user.customer}"/>
<c:choose>
	<c:when test="${settings.map.allowAddressBook eq '1' and !empty user.customer and !empty user.customer.customerAddressCollection}">
		<c:set var="showShipToThisAddress" scope="request" value="${true}"/>
		<c:if test="${showBillingSection}">
			<div class="col-md-6">
				<div id="billingAddressFields" class="panel panel-primary flush">
					<div class="panel-heading">
						<h3 class="panel-title"><bean:message key="orderForm.billingHeadline" bundle="/order"/></h3>
						<c:if test="${displayDontSaveCheckbox}">
							<div class="checkbox panelHeadingCheckbox">
								<label for="updateCustomer" class="plain">
									<input class="checkbox" type="checkbox" id="updateCustomer" name="updateCustomer" value="false">
									<bean:message key="checkoutAddresses.doNotUpdate" bundle="/order" />
								</label>
							</div>
						</c:if>
					</div>
					<div class="panel-body">
						<c:if test="${requestScope.useCIM and pageTitleKey ne 'page.checkoutCombo'}"><div id="paymentProfilesDisplay">&nbsp;</div></c:if>
						<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
						<div id="addressBookBillingDisplay">&nbsp;</div>
						<div id="addressBookBillingCheckoutNew">	
							<div id="billToThisAddressArea">
								<ssc:insert page="/WEB-INF/layouts/default-html5/order/billingFormGuts.jsp"/>
								<input type="hidden" id="addToBillingAddressBookCheckbox" name="addToBillingAddressBook" value="1"/>
							</div>
						</div>
					</div>
				</div>
			</div>
		</c:if>
		<div class="col-md-6">
			<div id="deliveryAddressFields" class="panel panel-primary flush ${shipAddressClass}">
				<div class="panel-heading">
					<h3 class="panel-title"><bean:message key="addressBook.checkoutDeliveryHeadline" bundle="/customer"/></h3>
					<c:if test="${showBillingSection}">
						<div class="checkbox panelHeadingCheckbox">
							<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
						</div>
					</c:if>
				</div>
				<div class="panel-body">
					<div id="addressBookDisplay">&nbsp;</div>
					<div id="addressBookCheckoutNew">
						<ssc:insert page="/WEB-INF/layouts/default-html5/order/deliveryFormGuts.jsp" />
						<input type="hidden" id="addToAddressBookCheckbox" name="addToAddressBook" value="1"/>
					</div>
				</div>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<c:if test="${settings.map.allowAddressBook eq '1'}">
			<input type="hidden" name="customerAddressID" value="" />
			<input type="hidden" name="customerBillingAddressID" value="" />
			<input type="hidden" name="addToAddressBook" value="1" />
			<input type="hidden" name="addToBillingAddressBook" value="1" />
		</c:if>
		<c:if test="${showBillingSection}">
			<div class="col-md-6">
				<div id="billingAddressFields" class="panel panel-primary flush">
					<div class="panel-heading">
						<h3 class="panel-title"><bean:message key="orderForm.billingHeadline" bundle="/order"/></h3>
						<c:if test="${displayDontSaveCheckbox}">
							<div class="checkbox panelHeadingCheckbox">
								<label for="updateCustomer" class="plain">
									<input class="checkbox" type="checkbox" id="updateCustomer" name="updateCustomer" value="false">
									<bean:message key="checkoutAddresses.doNotUpdate" bundle="/order" />
								</label>
							</div>
						</c:if>
					</div>
					<div class="panel-body">
						<c:if test="${requestScope.useCIM and pageTitleKey ne 'page.checkoutCombo'}"><div id="paymentProfilesDisplay">&nbsp;</div></c:if>
						<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
						<div id="billToThisAddressArea">
							<ssc:insert page="/WEB-INF/layouts/default-html5/order/billingFormGuts.jsp"/>
						</div>
					</div>
				</div>
			</div>
		</c:if>
		<div class="col-md-6">
			<div id="deliveryAddressFields" class="panel panel-primary flush ${shipAddressClass}">
				<div class="panel-heading">
					<h3 class="panel-title"><bean:message key="orderForm.deliveryHeadline" bundle="/order"/></h3>
					<c:if test="${showBillingSection}">
						<div class="checkbox panelHeadingCheckbox">
							<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain">
								<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>
								<bean:message key="orderForm.deliveryUseBilling" bundle="/order"/>
							</label>
						</div>
					</c:if>
				</div>
				<div class="panel-body">
					<ssc:insert page="/WEB-INF/layouts/default-html5/order/deliveryFormGuts.jsp" />
				</div>
			</div>
		</div>
	</c:otherwise>
</c:choose>
<!-- End ${pageScope.sscCurrentPage} -->
