<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start addressBookDisplay.jsp -->
<c:set var="addressType" value="${param.type}" />
<c:if test="${empty addressType}">
	<c:set var="addressType" value="delivery" />
</c:if>
<c:choose>
	<c:when test="${!empty addressBook}">
		<c:set var="addressesTableID" value="addressesTable"/>
		<c:if test="${addressType eq 'billing' }">
			<c:set var="addressesTableID" value="addressesBillingTable"/>
		</c:if>
		<table id="${addressesTableID}" class="grid accountTable" summary="List of addresses.">
		<tr class="listHeading">
			<c:if test="${param.page eq 'checkout'}">
				<th>&nbsp;</th>
			</c:if>
			<th>&nbsp;</th>
			<th><bean:message key="addressBook.tableListName" bundle="/customer"/>:</th>
			<th><bean:message key="addressBook.tableListAddress" bundle="/customer"/>:</th>
		</tr>
		<logic:iterate name="addressBook" id="address">
			<c:if test="${ (addressType eq 'delivery' and !address.isBilling) or (addressType eq 'billing' and address.isBilling) }">
			
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<tr id="addressBookAddress-<c:out value="${address.customerAddressID}"/>" class="address <c:out value="${thisClass}"/>">
				<c:if test="${param.page eq 'checkout'}">
					<td class="addressBookChoose <c:out value="${thisClass}"/>">
						<c:choose>
							<c:when test="${address.isBilling}">
								<input type="radio" <c:if test="${address.isDefault}">checked="checked"</c:if> name="customerBillingAddressID" id="customerBillingAddressID-<c:out value="${address.customerAddressID}"/>" class="addressBookBillingOption" value="<c:out value="${address.customerAddressID}"/>" />
							</c:when>
							<c:otherwise>
								<input type="radio" <c:if test="${address.isDefault}">checked="checked"</c:if> name="customerAddressID" id="customerAddressID-<c:out value="${address.customerAddressID}"/>" class="addressBookDeliveryOption" value="<c:out value="${address.customerAddressID}"/>" />
							</c:otherwise>
						</c:choose>
					</td>
				</c:if>
				<td class="addressBookActions" id="addressBookActions-<c:out value="${address.customerAddressID}"/>">
					[<a href="#" class="editAddressBookAddress" id="editAddressBookAddress-<c:out value="${address.customerAddressID}"/>"><bean:message key="addressBook.editLink" bundle="/customer"/></a>]
					[<a href="#" class="deleteAddressBookAddress ${addressType}" id="deleteAddressBookAddress-<c:out value="${address.customerAddressID}"/>"><bean:message key="addressBook.deleteButton" bundle="/customer"/></a>]
				</td>
				<td class="addressBookName">
					<logic:match name="settings" property="value(deliveryPrompt)" value="firstName">
						<c:out value="${address.firstName}" />
						<c:if test="${!empty address.firstName}"> </c:if>
					</logic:match>
					<logic:match name="settings" property="value(deliveryPrompt)" value="lastName">
						<c:out value="${address.lastName}" />
						<c:if test="${!empty address.lastName}"> </c:if>
					</logic:match>
					<logic:match name="settings" property="value(deliveryPrompt)" value="organization">
						<c:out value="${address.organization}" />
						<c:if test="${!empty address.organization}"> </c:if>
					</logic:match>
					<c:if test="${!empty address.creditCardNumberDisplay}">
						<br/><span class="addressBoookPaymentMethod"><c:out value="${address.creditCardNumberDisplay}" />&nbsp;<c:out value="${address.creditCardDate}" /></span>
					</c:if>
					
				</td>
				<td class="addressBookAddress">
					<logic:match name="settings" property="value(deliveryPrompt)" value="address1">
						<c:out value="${address.address1}" />
						<c:if test="${!empty address.address1}"> </c:if>
					</logic:match>
					<logic:match name="settings" property="value(deliveryPrompt)" value="address2">
						<c:out value="${address.address2}" />
						<c:if test="${!empty address.address2}"> </c:if>
					</logic:match>
					<logic:match name="settings" property="value(deliveryPrompt)" value="city">
						<c:out value="${address.city}"/><c:if test="${!empty address.city}">, </c:if>
					</logic:match>
					<logic:match name="settings" property="value(deliveryPrompt)" value="state">
						<c:out value="${address.state}"/>
						<c:if test="${!empty address.state}"> </c:if>
					</logic:match>
					<logic:match name="settings" property="value(deliveryPrompt)" value="postalCode">
						<c:out value="${address.postalCode}"/>
						<c:if test="${!empty address.postalCode}"> </c:if>
					</logic:match>
					<logic:match name="settings" property="value(deliveryPrompt)" value="country">
						<c:out value="${address.country}"/>
						<c:if test="${!empty address.country}"> </c:if>
					</logic:match>
				</td>
			</tr>
		</c:if>
		</logic:iterate>
	</c:when>
	<c:otherwise>
		<bean:message key="addressBook.noAddresses" bundle="/customer"/>
	</c:otherwise>
</c:choose>
<!-- End addressBookDisplay.jsp -->
