<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start checkoutComboShippingLayout.jsp -->
<c:set var="showSIMAPIBillToThisAddress" scope="request" value="${requestScope.useCIMAPI}"/>

<h1><bean:message key="checkoutComboShipping.headline" bundle="/order" /></h1>
<p class="instructions"><bean:message key="checkoutComboShipping.instructions" bundle="/order" /></p>

<%--Checkout coupon form--%>
<c:if test="${settings.map.applyDiscounts eq 1 && settings.map.showCouponFormAtCheckout eq 1}">
	<form action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutCoupon.do")%>" method="post">
		<tiles:insert attribute="couponFormGuts" />
	</form>
</c:if>

<%--Address and shipping form--%>
<form id="addressesForm" name="addressesForm" class="centeredForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutComboShipping.do")%>" method="post">
	<input type="hidden" name="submittedForm" value="checkoutComboShipping" />
	<c:if var="displayDontSaveCheckbox" scope="request" test="${!empty sessionScope.user.customer}"/>
	<c:choose>
		<c:when test="${settings.map.allowAddressBook eq '1' and !empty user.customer and !empty user.customer.customerAddressCollection}">
			<c:set var="showShipToThisAddress" scope="request" value="${true}"/>
			<fieldset id="billingAddressFields" class="sideBySide">
				<legend><bean:message key="orderForm.billingHeadline" bundle="/order"/></legend>
				<c:if test="${requestScope.useCIM}"><div id="paymentProfilesDisplay">&nbsp;</div></c:if>
				<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
				<c:choose>
					<c:when test="${displayDontSaveCheckbox}">
						<input class="checkbox" type="checkbox" id="updateCustomer" name="updateCustomer" value="false" />&nbsp;<label for="updateCustomer" class="plain"><bean:message key="checkoutAddresses.doNotUpdate" bundle="/order" /></label>
						<hr class="formSeparator" />
					</c:when>
					<c:otherwise>
						<hr id="billingNoCheckBox" class="formSeparator"/>
					</c:otherwise>
				</c:choose>
				<div id="billToThisAddressArea">
					<tiles:insert attribute="billingFormGuts"/>
				</div>
			</fieldset>
			<tiles:insert page="/WEB-INF/layouts/default/order/deliveryFormJs.jsp"/>
			<fieldset id="deliveryAddressFields" class="sideBySide">
				<legend><bean:message key="addressBook.checkoutDeliveryHeadline" bundle="/customer"/></legend>
				<div id="addressBookDisplay">&nbsp;</div>
				<div id="addressBookCheckoutNew">
					<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
					<hr class="formSeparator" />
					<tiles:insert attribute="deliveryFormGuts" />
					<c:if test="${showShipToThisAddress}">
						<label for="addToAddressBookCheckbox">&nbsp;</label>
						<input type="hidden" id="addToAddressBookCheckbox" name="addToAddressBook" value="1"/>
					</c:if>
				</div>	
			</fieldset>
		</c:when>
		<c:otherwise>
			<c:if test="${settings.map.allowAddressBook eq '1'}">
				<input type="hidden" name="customerAddressID" value="" />
				<input type="hidden" name="addToAddressBook" value="1" />
			</c:if>
			<fieldset id="billingAddressFields" class="sideBySide">
				<legend><bean:message key="orderForm.billingHeadline" bundle="/order"/></legend>
				<c:if test="${requestScope.useCIM}"><div id="paymentProfilesDisplay">&nbsp;</div></c:if>
				<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
				<c:choose>
					<c:when test="${displayDontSaveCheckbox}">
						<input class="checkbox" type="checkbox" id="updateCustomer" name="updateCustomer" value="false" />&nbsp;<label for="updateCustomer" class="plain"><bean:message key="checkoutAddresses.doNotUpdate" bundle="/order" /></label>
						<hr class="formSeparator" />
					</c:when>
					<c:otherwise>
						<hr id="billingNoCheckBox" class="formSeparator"/>
					</c:otherwise>
				</c:choose>
				<div id="billToThisAddressArea">
					<tiles:insert attribute="billingFormGuts"/>
				</div>
			</fieldset>
			<tiles:insert page="/WEB-INF/layouts/default/order/deliveryFormJs.jsp"/>
			<fieldset id="deliveryAddressFields" class="sideBySide">
				<legend><bean:message key="orderForm.deliveryHeadline" bundle="/order"/></legend>
				<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
				<hr class="formSeparator" />
				<tiles:insert attribute="deliveryFormGuts" />
			</fieldset>
		</c:otherwise>
	</c:choose>
	<br/>
	
	<%--Emailer add subscriber opt-in prompt--%>
	<ssc:insert page="/WEB-INF/layouts/default/order/emailerOptInPrompt.jsp"/>
	
	<c:if test="${settings.map.shippingRequired eq '1'}">
		<tiles:insert attribute="shippingForm" />
		<br/>
	</c:if>

	<div id="checkoutComboShippingButton" class="checkoutButtonContainer">
		<input type="submit" class="button" value="<bean:message key="checkoutComboShipping.button" bundle="/order"/>" />
	</div>

</form>

<c:if test="${settings.map.allowAddressBook eq '1'}">
	<tiles:insert page="/WEB-INF/layouts/default/customer/addressBookFooter.jsp"/>
</c:if>
<!-- End checkoutComboShippingLayout.jsp -->
