<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start miniCart.jsp -->
<div id="miniCart" class="miniCart widget">
	<strong id="miniCartHeading" class="heading"><bean:message key="cart.headline" bundle="/order"/></strong>
	<div class="widgetBody">
		<c:if var="cartEmpty" test="${empty user.order || user.order.quantity == 0}">
			<p id="miniCartEmpty"><bean:message key="cart.empty" bundle="/order"/></p>
		</c:if>
		<c:if test="${not cartEmpty}">
			<c:set var="order" value="${user.order}"/>
			<c:set var="imageDisplayed" value="false"/>
			<c:set var="firstItem" value="true"/>
			<c:set var="numberToDisplay" value="${settings.map.miniCartItemCount}"/>
			<logic:iterate name="order" property="orderDeliveryCollection" id="orderDelivery" indexId="i" length="1">
				<% String numberToDisplay = (String) pageContext.getAttribute("numberToDisplay"); %>
				<logic:iterate name="orderDelivery" property="orderItemCollection" id="item" indexId="j" length="<%= numberToDisplay %>">
					<bean:size id="numberOfItems" name="orderDelivery" property="orderItemCollection"/>
					<c:if test="${firstItem eq 'false'}">
						<hr />
					</c:if>
					<c:if test="${firstItem eq 'true'}">
						<c:set var="firstItem" value="false"/>
					</c:if>
					<c:choose>
						<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty item.seoCode}">
							<c:set var="productLinkCode" value="${item.seoCode}"/>
						</c:when>
						<c:otherwise>
							<c:set var="productLinkCode" value="${item.code}"/>
						</c:otherwise>
					</c:choose>
					<div id="miniCartItem-<c:out value="${j}"/>" class="orderItem">
						<c:if test="${!empty item.image && !imageDisplayed}">
							<c:if var="imageDisplayed" test="${true}"/>
							<c:set var="imageURL" value="${item.image}"/>
							<% if (!request.isSecure() || !((String) pageContext.getAttribute("imageURL")).startsWith("http://")) { %>
								<p class="miniCartImage">
									<html:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode" styleClass="miniCartImage">
										<img src="<c:out value="${item.image}"/>" title="<c:out value="${item.name}"/>" alt="<c:out value="${item.name}"/>"/>
									</html:link>
								</p>
							<% } %>
						</c:if>
						<p class="name">
							<html:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
								<c:out value="${item.name}" escapeXml="false"/>
							</html:link>
						</p>
						<p class="quantity">
							<span class="label"><bean:message key="cart.quantityLabel" bundle="/order"/>:</span> 
							<c:out value="${item.quantity}"/>
						</p>
						<p class="total">
							<span class="label"><bean:message key="cart.priceLabel" bundle="/order"/>:</span>
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total}"/>
						</p>
					</div>
				</logic:iterate>
			</logic:iterate>
			<hr />
			<p class="subtotal">
				<strong><bean:message key="cart.subtotalLabel" bundle="/order"/>:</strong>
				<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
					<c:out value="${order.subtotal}"/>
				</fmt:formatNumber>
			</p>
			<p class="links">
				<html:link href="${customerURL}/Cart.do" styleClass="miniCartDetails"><bean:message key="cart.cartDetails" bundle="/order"/></html:link> | 
				<html:link href="${secureURL}/Checkout.do" styleClass="miniCartCheckout">Checkout</html:link>
			</p>
		</c:if>
	</div>
</div>
<!-- End miniCart.jsp -->
