<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start orderDetails.jsp -->
<c:if test="${empty order}">
	<c:set var="order" value="${user.order}"/>
</c:if>
<%--General order information--%>
<c:if test="${! reviewingOrder}">
	<table id="orderInformation" class="tabDetails" cellspacing="0" summary="Your Order Information">
		<tr>
			<th colspan="2">
				<bean:message key="order.orderLabel" bundle="/order" />
			</th>
		</tr>
		<tr>
			<td id="orderStatusDetails">
				<c:if test="${!empty order.orderNumber}">
					<strong class="label"><bean:message key="order.orderNumber" bundle="/order" />:</strong> <c:out value="${order.orderNumber}" />
					<br />
				</c:if>
				<c:if test="${!empty order.completed}">
					<fmt:parseDate value="${order.completed}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US" />
					<strong class="label"><bean:message key="order.completedDate" bundle="/order" />:</strong> <fmt:formatDate value="${parsed}" type="both" />
					<br />
				</c:if>
				<c:if test="${!empty order.trackingNumber}">
					<strong class="label"><bean:message key="order.trackingNumber" bundle="/order" />:</strong> <c:out value="${order.trackingNumber}" />
					<br />
				</c:if>
				<c:if test="${!empty order.status}">
					<strong class="label"><bean:message key="order.status" bundle="/order" />:</strong> <c:out value="${order.status}" />
					<br />
				</c:if>
				<c:if test="${!empty order.statusDetails}">
					<strong class="label"><bean:message key="order.statusDetails" bundle="/order" />:</strong> <c:out value="${order.statusDetails}" />
				</c:if>
			</td>
			<td id="storeDetails">
				<c:if test="${!empty settings.map.storeName}">
					<strong id="storeName"><c:out value="${settings.map.storeName}" /></strong>
					<br />
				</c:if>
				<address>
					<c:if test="${!empty settings.map.storeAddress1}">
						<c:out value="${settings.map.storeAddress1}" />
						<br />
					</c:if>
					<c:if test="${!empty settings.map.storeAddress2}">
						<c:out value="${settings.map.storeAddress2}" />
						<br />
					</c:if>
					<c:out value="${settings.map.storeCity}" />
					<c:if test="${!empty settings.map.storeStateOrProvince}">, <c:out value="${settings.map.storeStateOrProvince}" />
					</c:if>
					<c:out value="${settings.map.storePostalCode}" />
					<c:out value="${settings.map.storeCountry}" />
				</address>
				<br />
				<c:if test="${!empty settings.map.storeEmailAddress}">
					<c:out value="${settings.map.storeEmailAddress}" />
					<br />
				</c:if>
				<c:if test="${!empty settings.map.storePhone}">
					<c:out value="${settings.map.storePhone}" />
					<br />
				</c:if>
			</td>
		</tr>
	</table>
</c:if>

<%--Contact information--%>
<table id="contactInformation" class="tabDetails" cellspacing="0" summary="Your Contact Information">
	<tr>
		<th><bean:message key="order.billingInformation" bundle="/order" /></th>
		<th><bean:message key="order.deliveryInformation" bundle="/order" /></th>
	</tr>
	<tr>
		<%--Billing information--%>
		<td id="billingInfoData">
			<c:out value="${order.billingFirstName}" />&nbsp;<c:out value="${order.billingLastName}" />
			<br />
			<c:if test="${!empty order.billingOrganization}">
				<c:out value="${order.billingOrganization}" />
				<br />
			</c:if>
			<address>
				<c:if test="${!empty order.billingAddress1}">
					<c:out value="${order.billingAddress1}" />
					<br />
				</c:if>
				<c:if test="${!empty order.billingAddress2}">
					<c:out value="${order.billingAddress2}" />
					<br />
				</c:if>
				<c:out value="${order.billingCity}" />
				<c:if test="${!empty order.billingState and order.billingState ne 'Other'}">,
					<c:out value="${order.billingState}" />&nbsp;
				</c:if>
				<c:out value="${order.billingPostalCode}" />
				<br />
				<c:if test="${!empty order.billingCountry}">
					<c:out value="${statesAndCountries.countryMap[order.billingCountry].name}" />
					<br />
				</c:if>
			</address>
			<c:if test="${!empty order.billingPhone1}">
				<c:out value="${order.billingPhone1}" />
				<br />
			</c:if>
			<c:if test="${!empty order.billingEmail1}">
				<c:out value="${order.billingEmail1}" />
				<br />
			</c:if>
		</td>
		<%--Delivery information--%>
		<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
			<td id="deliveryInfoData">
				<c:out value="${delivery.deliveryFirstName}" />&nbsp;<c:out value="${delivery.deliveryLastName}" />
				<br />
				<c:if test="${!empty delivery.deliveryOrganization}">
					<c:out value="${delivery.deliveryOrganization}" />
					<br />
				</c:if>
				<address>
					<c:if test="${!empty delivery.deliveryAddress1}">
						<c:out value="${delivery.deliveryAddress1}" />
						<br />
					</c:if>
					<c:if test="${!empty delivery.deliveryAddress2}">
						<c:out value="${delivery.deliveryAddress2}" />
						<br />
					</c:if>
					<c:out value="${delivery.deliveryCity}" />
					<c:if test="${!empty delivery.deliveryState and delivery.deliveryState ne 'Other'}">,
						<c:out value="${delivery.deliveryState}" />&nbsp;
					</c:if>
					<c:out value="${delivery.deliveryPostalCode}" />
					<br />
					<c:if test="${!empty delivery.deliveryCountry}">
						<c:out value="${statesAndCountries.countryMap[delivery.deliveryCountry].name}" />
						<br />
					</c:if>
				</address>
				<c:if test="${!empty delivery.deliveryPhone1}">
					<c:out value="${delivery.deliveryPhone1}" />
					<br />
				</c:if>
				<c:if test="${!empty delivery.deliveryEmail1}">
					<c:out value="${delivery.deliveryEmail1}" />
					<br />
				</c:if>
			</td>
		</logic:iterate>
	</tr>
	<%--Shipping method - allow for legacy location in delivery.statusDetails --%>
	<c:set var="shippingMethod" value=""/>
	<c:choose>
		<c:when test="${!empty order.shippingMethod}">
			<c:set var="shippingMethod" value="${order.shippingMethod}"/>
		</c:when>
		<c:otherwise>
			<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
				<c:if test="${!empty delivery.statusDetails}">
					<c:set var="shippingMethod" value="${delivery.statusDetails}"/>
				</c:if>
			</logic:iterate>
		</c:otherwise>
	</c:choose>
	<c:if test="${!empty shippingMethod}">
		<tr>
			<td id="shippingInfoData" colspan="2">			
				<strong class="label"><bean:message key="order.shippingMethod" bundle="/order" />:</strong> <c:out value="${shippingMethod}" />
			</td>
		</tr>
	</c:if>
</table>

<%--Payment information--%>
<c:if test="${! reviewingOrder and adminTemplate ne 'packList' and !empty order.payments and !order.payments['empty']}">
	<table id="paymentInformation" class="tabDetails" cellspacing="0" summary="Your Payment Information">
		<tr>
			<th><bean:message key="order.paymentLabel" bundle="/order" /></th>
		</tr>
		<logic:iterate name="order" property="payments" id="payment" indexId="i">
			<tr>
				<td id="paymentInfoData">
					<c:if test="${!empty payment.status}">
						<c:out value="${payment.status}" />
						<br/>
					</c:if>
	                <c:if test="${!empty payment.creditCardName}">
	                    <c:out value="${payment.creditCardName}" />
						<br/>
	                </c:if>
	                <c:if test="${!empty payment.creditCardNumberDisplay}">
	                    <c:out value="${payment.creditCardType}" /> - <c:out value="${payment.creditCardNumberDisplay}" />
						<br/>
	                </c:if>
	                <c:if test="${empty payment.creditCardNumberDisplay}">
	                    <c:if test="${!empty payment.value4}">
	                        <c:out value="${payment.value4}" />
							<br/>
	                    </c:if>
	                </c:if>
	  			</td>
	  		</tr>
	  	</logic:iterate>
  	</table>
</c:if>

<%--Credit card information on the checkout confirm screen--%>
<c:if test="${reviewingOrder and !empty sessionScope.validatedPaymentForm}">
	<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.BasicPaymentForm ||
			session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.authorizeNetCIM.AuthorizeNetCIMForm ||
			session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.cresecure.CRESecureForm) { %>
	<table id="paymentInformation" class="tabDetails" cellspacing="0" summary="Your Payment Information">
		<tr>
			<th><bean:message key="order.paymentLabel" bundle="/order" /></th>
		</tr>
		<tr>
			<td id="paymentInfoData">
				<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.BasicPaymentForm) { %>
	                <c:if test="${!empty validatedPaymentForm.creditCardName}">
	                    <c:out value="${validatedPaymentForm.creditCardName}" />
						<br/>
	                </c:if>
	                <c:if test="${!empty validatedPaymentForm.decryptedNumber}">
	                	<c:set var="ccNumber" value="${validatedPaymentForm.decryptedNumber}"/>
	                    <c:out value="${validatedPaymentForm.creditCardType}" /> &#8212; XXXXXXXXXXXX<%= ((String) pageContext.getAttribute("ccNumber")).substring(((String) pageContext.getAttribute("ccNumber")).length() - 4) %>
						<br/>
	                </c:if>
			  	<% } %>
			  	<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.authorizeNetCIM.AuthorizeNetCIMForm) { %>
					<c:set var="toUseCardPhrase" value=""/>
					<c:catch var="exception">
						<c:set var="toUseCardPhrase"><bean:message key="order.cimCardToBeUsed" bundle="/order" />&nbsp;<c:out value="${sessionScope.validatedPaymentForm.creditCardNumberDisplay}"/></c:set>
					</c:catch>
					<c:if test="${!empty exception}">
						<c:set var="toUseCardPhrase" value=""/>
					</c:if>
					<c:out value="${toUseCardPhrase}" escapeXml="false"/>
					${exception}
			  	<% } %>
			  	<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.cresecure.CRESecureForm) { %>
					<c:set var="toUseCardPhrase" value=""/>
					<c:catch var="exception">
						<c:set var="toUseCardPhrase"><bean:message key="order.creCardToBeUsed" bundle="/order" />&nbsp;<c:out value="${sessionScope.validatedPaymentForm.creditCardNumberDisplay}"/></c:set>
					</c:catch>
					<c:if test="${!empty exception}">
						<c:set var="toUseCardPhrase" value=""/>
					</c:if>
					<c:out value="${toUseCardPhrase}" escapeXml="false"/>
					${exception}
			  	<% } %>
  			</td>
  		</tr>
  	</table>
  	<% } %>
</c:if>
<%--Order items--%>
<table id="orderItems" class="tabDetails" cellspacing="0" summary="Your order contents.">
	<tr>
		<th><bean:message key="orderItem.code" bundle="/order" /></th>
		<th><bean:message key="orderItem.name" bundle="/order" /></th>
		<c:if test="${adminTemplate ne 'packList'}"><th><bean:message key="orderItem.unitPrice" bundle="/order" /></th></c:if>
		<th><bean:message key="orderItem.quantity" bundle="/order" /></th>
		<c:if test="${adminTemplate ne 'packList'}"><th class="total"><bean:message key="orderItem.total" bundle="/order" /></th></c:if>
	</tr>
	<logic:iterate name="order" property="orderDeliveryCollection" id="delivery" indexId="i">
		<logic:iterate name="delivery" property="orderItemCollection" id="item" indexId="j">
			<c:choose>
				<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty item.seoCode}">
					<c:set var="productLinkCode" value="${item.seoCode}"/>
				</c:when>
				<c:otherwise>
					<c:set var="productLinkCode" value="${item.code}"/>
				</c:otherwise>
			</c:choose>
			<tr id="orderItem-<c:out value="${item.orderID}"/>" class="orderItem">
				<td class="code"><c:out value="${item.code}" /></td>
				<td class="name">
					<html:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
						<c:out value="${item.name}" escapeXml="false" />
					</html:link>
					<c:if test="${adminTemplate ne 'packList' and !empty item.unitPrice and item.unitPrice gt 0}">
						&mdash;
						<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
							<c:out value="${item.unitPrice}" />
						</fmt:formatNumber>
					</c:if>
					<c:if test="${!empty item.orderItemAttributes}">
						<logic:iterate name="item" property="orderItemAttributes" id="attribute">
							<br />
							<c:out value="${attribute.attributeName}" />: 
							<c:choose>
								<c:when test="${!empty attribute.optionName and attribute.optionCode eq attribute.attributeValue}">
									<c:out value="${attribute.optionName}" escapeXml="false"/>
								</c:when>
								<c:otherwise>
									<c:out value="${attribute.attributeValue}"/>
								</c:otherwise>
							</c:choose>
							<c:if test="${adminTemplate ne 'packList' and !empty attribute.total and attribute.total gt 0}">
								&mdash;
								<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
									<c:out value="${attribute.total}" />
								</fmt:formatNumber>
							</c:if>
						</logic:iterate>
					</c:if>
				</td>
				<c:if test="${adminTemplate ne 'packList'}"><td class="price"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total / item.quantity}" /></td></c:if>
				<td class="quantity"><c:out value="${item.quantity}" /></td>
				<c:if test="${adminTemplate ne 'packList'}"><td class="total"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${item.total}" /></td></c:if>
			</tr>
		</logic:iterate>
	</logic:iterate>
</table>
<%--Discounts--%>
<c:if var="displayDiscounts" test="false"/>
<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
	<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
		<c:if test="${!displayDiscounts and orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
			<c:if var="displayDiscounts" test="true"/>
		</c:if>
	</logic:iterate>
</c:if>
<c:if test="${adminTemplate ne 'packList' and displayDiscounts}">
	<table id="orderDiscounts" class="tabDetails" cellspacing="0" summary="Your Discounts.">
		<tr>
			 <th colspan="4"><bean:message key="order.discountsLabel" bundle="/order" /></th>
		</tr>
		<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
			<c:if test="${orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
				<tr id="orderDiscount-<c:out value="${orderDiscount.orderDiscountID}"/>" class="orderDiscount">
					<td class="code">
						<c:if test="${!empty orderDiscount.orderItem}">
							<c:out value="${orderDiscount.orderItem.code}" />
						</c:if>
					</td>
					<td class="name"><c:out value="${orderDiscount.name}" /></td>
					<td class="code">
						<c:if test="${empty orderDiscount.couponCode}">
							<c:out value="${orderDiscount.code}" />
						</c:if>
						<c:if test="${!empty orderDiscount.couponCode}">
							<c:out value="${orderDiscount.couponCode}" />
						</c:if>
					</td>
					<td class="total">(<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.total}" />)</td>
				</tr>
			</c:if>
		</logic:iterate>
	</table>
</c:if>
<%--Order totals--%>
<c:if test="${adminTemplate ne 'packList'}">
	<table id="orderTotals" class="tabDetails" cellspacing="0" summary="Your Order Totals/Amounts">
		<tr>
			 <th colspan="2"><bean:message key="order.orderTotals" bundle="/order" /></th>
		</tr>
		<tr>
		 	<td class="orderTotalLabel"><bean:message key="order.subtotal" bundle="/order" />:</td>
		 	<td class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.subtotal}"/></td>
		</tr>
		<tr>
		 	<td class="orderTotalLabel"><bean:message key="order.shipping" bundle="/order" />:</td>
		 	<td class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.shipping}"/></td>
		</tr>
		<tr>
		 	<td class="orderTotalLabel"><bean:message key="order.tax" bundle="/order" />:</td>
		 	<td class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.tax}"/></td>
		</tr>
		<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
			<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
				<c:if test="${orderDiscount.itemsAppliesType eq '[giftCertificate]'}">
					<tr>
					 	<td class="orderTotalLabelHighlighted">
							<c:out value="${orderDiscount.name}" />
							<c:set var="balance"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.reward - orderDiscount.total}"/></c:set>
							<bean-el:message key="order.giftCertificateBalance" bundle="/order" arg0="${balance}"/>:
						</td>
						<td class="orderTotalAmountHighlighted"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${orderDiscount.total * -1}"/></td>
					</tr>
				</c:if>
			</logic:iterate>
		</c:if>
		<tr>
		 	<td id="totalLabel" class="orderTotalLabel"><bean:message key="order.total" bundle="/order" />:</td>
			<td id="totalAmount" class="orderTotalAmount"><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${order.total}"/></td>
		</tr>
	</table>
</c:if>
<!-- End orderDetails.jsp -->
