package com.softslate.commerce.administrator.administrator;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.administrator.Administrator;

/**
 * Struts form class corresponding to requests to
 * "/administrator/Administrator.do". Provides properties to control searching,
 * viewing, editing, and deleting records in the <code>sscAdministrator</code>
 * table.
 * 
 * @author David Tobey
 * 
 */
public class AdministratorForm extends BaseSerializableForm {
    private static final long serialVersionUID = 3761407512603211575L;

    static Log log = LogFactory.getLog(AdministratorForm.class);

    private String idField = "administratorID";

    private String parentIDField = "roleID";

    private String nameField = "userName";

    private String childName = "Roles";

    private boolean m2mChild = true;

    private String entityProperty = "administrator";

    private Class entity = Administrator.class;

    private String[] searchableIntFields = { "administratorID" };

    private String[] searchableFields = { "userName", "passwordExpires", "lockedOutUntil" };

	private String[] fields = { "userName", "password", "lastLogin", "isApiUser", "passwordExpires",
			"numberOfFailedLogins", "lockedOutUntil", "previousPasswords", "allowedIPAddresses", "isActive" };

	private String[] fieldLables = { "User Name", "Password", "Last Login", "Api User?", "Password Expires",
			"Failed Logins", "Locked Out Until", "Previous Passwords", "Allowed IPs",
            "Active" };

    private String[] displayFields = { "userName", "lastLogin", "isApiUser", "passwordExpires", "numberOfFailedLogins", "lockedOutUntil", "isActive" };

    private String sortByString = "userName";

    private String sortAscOrDesc = "ASC";

    private String formAction = "/Administrator.do";

    private String addFormAction = "/AdministratorAddForm.do";

    private String editFormAction = "/AdministratorEditForm.do";

    private String editDeleteFormAction = "/AdministratorEditDelete.do";

    private String childEditAction = "/Role.do";

    private String roleID = "";

    private String[] administratorID = null;

    private String[] userName = null;

    private String[] password = null;

    private String[] lastLogin = null;

    private String[] isActive = null;

    public String getRoleID() {
        return roleID;
    }

    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }

    public String getParentIDField() {
        return parentIDField;
    }

    public void setParentIDField(String parentIDField) {
        this.parentIDField = parentIDField;
    }

    public String[] getIsActive() {
        return isActive;
    }

    public void setIsActive(String[] isActive) {
        this.isActive = isActive;
    }

    public String[] getLastLogin() {
        return lastLogin;
    }

    public void setLastLogin(String[] lastLogin) {
        this.lastLogin = lastLogin;
    }

    public String[] getPassword() {
        return password;
    }

    public void setPassword(String[] password) {
        this.password = password;
    }

    public String[] getUserName() {
        return userName;
    }

    public void setUserName(String[] userName) {
        this.userName = userName;
    }
    
	private String[] isApiUser = null;

	public String[] getIsApiUser() {
		return isApiUser;
	}

	public void setIsApiUser(String[] isApiUser) {
		this.isApiUser = isApiUser;
	}
	private String[] passwordExpires = null;

	public String[] getPasswordExpires() {
		return passwordExpires;
	}

	public void setPasswordExpires(String[] passwordExpires) {
		this.passwordExpires = passwordExpires;
	}
	private String[] numberOfFailedLogins = null;

	public String[] getNumberOfFailedLogins() {
		return numberOfFailedLogins;
	}

	public void setNumberOfFailedLogins(String[] numberOfFailedLogins) {
		this.numberOfFailedLogins = numberOfFailedLogins;
	}
	private String[] lockedOutUntil = null;

	public String[] getLockedOutUntil() {
		return lockedOutUntil;
	}

	public void setLockedOutUntil(String[] lockedOutUntil) {
		this.lockedOutUntil = lockedOutUntil;
	}
	private String[] previousPasswords = null;

	public String[] getPreviousPasswords() {
		return previousPasswords;
	}

	public void setPreviousPasswords(String[] previousPasswords) {
		this.previousPasswords = previousPasswords;
	}

	private String[] allowedIPAddresses = null;

	public String[] getAllowedIPAddresses() {
		return allowedIPAddresses;
	}

	public void setAllowedIPAddresses(String[] allowedIPAddresses) {
		this.allowedIPAddresses = allowedIPAddresses;
	}

	public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

    public String getSortByString() {
        return sortByString;
    }

    public void setSortByString(String sortByString) {
        this.sortByString = sortByString;
    }

    public String getSortAscOrDesc() {
        return sortAscOrDesc;
    }

    public void setSortAscOrDesc(String sortAscOrDesc) {
        this.sortAscOrDesc = sortAscOrDesc;
    }

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public String getChildEditAction() {
        return childEditAction;
    }

    public void setChildEditAction(String childEditAction) {
        this.childEditAction = childEditAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }

    public String[] getAdministratorID() {
        return administratorID;
    }

    public void setAdministratorID(String[] administratorID) {
        this.administratorID = administratorID;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String getEntityProperty() {
        return entityProperty;
    }

    public void setEntityProperty(String entityProperty) {
        this.entityProperty = entityProperty;
    }

    public boolean isM2mChild() {
        return m2mChild;
    }

    public void setM2mChild(boolean child) {
        m2mChild = child;
    }

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
        if (getAdministratorID() != null) {
            for (int i = 0; i < getAdministratorID().length; i++) {
                if (Arrays.asList(getDisplayFields()).contains("userName")) {
                    if (getUserName().length < i + 1
                            || getUserName()[i] == null
                            || getUserName()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "User Name"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("isActive")) {
                    if (getIsActive().length < i + 1
                            || getIsActive()[i] == null
                            || getIsActive()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "Is Active"));
                    }
                }
            }
        }
        return errors;
    }

    public void setProperties(HttpServletRequest request) {
        super.setProperties(request);
        if (getParentIDField() != null
                && getParentIDField().equals("roleID")) {
            setParentKey("roleImplementer");
            setManyToManyKey("administratorRoleImplementer");
            setManyToManyProp("administratorRoles");
            setManyToManyClass("com.softslate.commerce.businessobjects.administrator.AdministratorRole");
            setParentProperty("role");
        }
    }
    
}
