package com.softslate.commerce.administrator.order;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * <code>/administrator/IncompleteOrders.do</code>.
 * 
 * @author David Tobey
 * 
 */
public class IncompleteOrdersFormAction extends BaseAction {

	static Log log = LogFactory.getLog(IncompleteOrdersFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		IncompleteOrdersForm baseForm = (IncompleteOrdersForm) form;
		baseForm.initializeProperties(mapping, request);

		OrderProcessor orderProcessor = (OrderProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"orderProcessorImplementer");
		Collection statistics = orderProcessor.loadIncompleteOrdersStatistics();
		request.setAttribute("statistics", statistics);

		// Enforce role permissions
		if (!request.isUserInRole("superuser")
				&& !request.isUserInRole("administrator")
				&& !request.isUserInRole("maintenanceEdit")) {
			request.setAttribute("editPermission", "false");
		} else {
			request.setAttribute("editPermission", "true");
		}

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home",
				"Incomplete Orders" });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
