package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.order.OrderDelivery;

/**
 * Struts form class corresponding to requests to
 * "/administrator/OrderDelivery.do". Provides properties to control searching,
 * viewing, editing, and deleting records in the <code>sscOrderDelivery</code>
 * table.
 * 
 * @author David Tobey
 * 
 */
public class OrderDeliveryForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3257286915924702520L;

	static Log log = LogFactory.getLog(OrderDeliveryForm.class);

	private String idField = "orderDeliveryID";

	private String parentIDField = "orderID";

	private String nameField = "address1";

	private String entityProperty = "orderDelivery";

	private Class entity = OrderDelivery.class;

	private String[] searchableIntFields = { "orderDeliveryID" };

	private String[] searchableFields = { "trackingNumber", "status",
			"statusDetails", "firstName", "lastName", "organization",
			"address1", "address2", "city", "state", "postalCode", "country",
			"phone1", "phone2", "email1", "email2", "extra1", "extra2",
			"extra3", "extra4", "extra5" };

	private String[] fields = { "orderDeliveryID", "trackingNumber", "total",
			"shipping", "tax", "taxableSubtotal", "subtotal", "weight",
			"quantity", "lastModified", "delivered", "status", "statusDetails",
			"firstName", "lastName", "organization", "address1", "address2",
			"city", "state", "postalCode", "country", "phone1", "phone2",
			"email1", "email2", "extra1", "extra2", "extra3", "extra4",
			"extra5", "notes" };

	private String[] fieldLables = { "Delivery ID", "Tracking #", "Total",
			"Shipping", "Tax", "Taxable Sub", "Subtotal", "Weight", "Quantity",
			"Last Modified", "Delivered", "Status", "Status Details",
			"First Name", "Last Name", "Organization", "Address 1",
			"Address 2", "City", "State", "Postal Code", "Country", "Phone 1",
			"Phone 2", "Email 1", "Email 2", "Extra 1", "Extra 2", "Extra 3",
			"Extra 4", "Extra 5", "Notes" };

	private String[] displayFields = { "total", "status", "lastName", "email1",
			"address1" };

	private String sortByString = "lastName";

	private String[] cantSortByFields = { "notes" };

	private String formAction = "/OrderDelivery.do";

	private String addFormAction = "/OrderDeliveryAddForm.do";

	private String editFormAction = "/OrderDeliveryEditForm.do";

	private String editDeleteFormAction = "/OrderDeliveryEditDelete.do";

	private String orderID = "";

	private String[] orderDeliveryID = null;

	private String[] trackingNumber = null;

	private String[] total = null;

	private String[] shipping = null;

	private String[] tax = null;

	private String[] taxableSubtotal = null;

	private String[] subtotal = null;

	private String[] weight = null;

	private String[] quantity = null;

	private String[] lastModified = null;

	private String[] delivered = null;

	private String[] status = null;

	private String[] statusDetails = null;

	private String[] firstName = null;

	private String[] lastName = null;

	private String[] organization = null;

	private String[] address1 = null;

	private String[] address2 = null;

	private String[] city = null;

	private String[] state = null;

	private String[] postalCode = null;

	private String[] country = null;

	private String[] phone1 = null;

	private String[] phone2 = null;

	private String[] email1 = null;

	private String[] email2 = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] extra4 = null;

	private String[] extra5 = null;

	private String[] notes = null;

	public String[] getAddress1() {
		return address1;
	}

	public void setAddress1(String[] address1) {
		this.address1 = address1;
	}

	public String[] getAddress2() {
		return address2;
	}

	public void setAddress2(String[] address2) {
		this.address2 = address2;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getCity() {
		return city;
	}

	public void setCity(String[] city) {
		this.city = city;
	}

	public String[] getCountry() {
		return country;
	}

	public void setCountry(String[] country) {
		this.country = country;
	}

	public String[] getDelivered() {
		return delivered;
	}

	public void setDelivered(String[] delivered) {
		this.delivered = delivered;
	}

	public String[] getEmail1() {
		return email1;
	}

	public void setEmail1(String[] email1) {
		this.email1 = email1;
	}

	public String[] getEmail2() {
		return email2;
	}

	public void setEmail2(String[] email2) {
		this.email2 = email2;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getExtra4() {
		return extra4;
	}

	public void setExtra4(String[] extra4) {
		this.extra4 = extra4;
	}

	public String[] getExtra5() {
		return extra5;
	}

	public void setExtra5(String[] extra5) {
		this.extra5 = extra5;
	}

	public String[] getFirstName() {
		return firstName;
	}

	public void setFirstName(String[] firstName) {
		this.firstName = firstName;
	}

	public String[] getLastModified() {
		return lastModified;
	}

	public void setLastModified(String[] lastModified) {
		this.lastModified = lastModified;
	}

	public String[] getLastName() {
		return lastName;
	}

	public void setLastName(String[] lastName) {
		this.lastName = lastName;
	}

	public String[] getNotes() {
		return notes;
	}

	public void setNotes(String[] notes) {
		this.notes = notes;
	}

	public String[] getOrganization() {
		return organization;
	}

	public void setOrganization(String[] organization) {
		this.organization = organization;
	}

	public String[] getPhone1() {
		return phone1;
	}

	public void setPhone1(String[] phone1) {
		this.phone1 = phone1;
	}

	public String[] getPhone2() {
		return phone2;
	}

	public void setPhone2(String[] phone2) {
		this.phone2 = phone2;
	}

	public String[] getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(String[] postalCode) {
		this.postalCode = postalCode;
	}

	public String[] getQuantity() {
		return quantity;
	}

	public void setQuantity(String[] quantity) {
		this.quantity = quantity;
	}

	public String[] getShipping() {
		return shipping;
	}

	public void setShipping(String[] shipping) {
		this.shipping = shipping;
	}

	public String[] getState() {
		return state;
	}

	public void setState(String[] state) {
		this.state = state;
	}

	public String[] getStatus() {
		return status;
	}

	public void setStatus(String[] status) {
		this.status = status;
	}

	public String[] getStatusDetails() {
		return statusDetails;
	}

	public void setStatusDetails(String[] statusDetails) {
		this.statusDetails = statusDetails;
	}

	public String[] getSubtotal() {
		return subtotal;
	}

	public void setSubtotal(String[] subtotal) {
		this.subtotal = subtotal;
	}

	public String[] getTax() {
		return tax;
	}

	public void setTax(String[] tax) {
		this.tax = tax;
	}

	public String[] getTaxableSubtotal() {
		return taxableSubtotal;
	}

	public void setTaxableSubtotal(String[] taxableSubtotal) {
		this.taxableSubtotal = taxableSubtotal;
	}

	public String[] getTotal() {
		return total;
	}

	public void setTotal(String[] total) {
		this.total = total;
	}

	public String[] getTrackingNumber() {
		return trackingNumber;
	}

	public void setTrackingNumber(String[] trackingNumber) {
		this.trackingNumber = trackingNumber;
	}

	public String[] getWeight() {
		return weight;
	}

	public void setWeight(String[] weight) {
		this.weight = weight;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getOrderID() {
		return orderID;
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public String[] getOrderDeliveryID() {
		return orderDeliveryID;
	}

	public void setOrderDeliveryID(String[] orderDeliveryID) {
		this.orderDeliveryID = orderDeliveryID;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		return errors;
	}
}
