package com.softslate.commerce.administrator.order;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.order.OrderItem;

/**
 * Struts form class corresponding to requests to "/administrator/OrderItem.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscOrderItem</code> table.
 * 
 * @author David Tobey
 * 
 */
public class OrderItemForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3979272438750197049L;

	static Log log = LogFactory.getLog(OrderItemForm.class);

	private String idField = "orderItemID";

	private String parentIDField = "orderID";

	private String nameField = "code";

	private String childName = "Attributes";

	private String entityProperty = "orderItem";

	private Class entity = OrderItem.class;

	private String[] searchableIntFields = { "orderItemID" };

	private String[] searchableFields = { "code", "seoCode", "name",
			"shortDescription", "extra1", "extra2", "extra3", "extra4",
			"extra5" };

	private String[] fields = { "orderItemID", "orderDeliveryID", "total",
			"weight", "quantity", "productID", "manufacturerID", "code",
			"seoCode", "name", "isActive", "unitCost", "unitPrice", "altPrice",
			"productWeight", "isTaxed", "image", "shortDescription", "extra1",
			"extra2", "extra3", "extra4", "extra5", "decrementedSKUs" };

	private String[] fieldLables = { "Item ID", "Delivery Address", "Total",
			"Weight", "Quantity", "Product ID", "Manf ID", "Code", "SEO Code",
			"Name", "Active", "U Cost", "U Price", "Alt Price", "U Weight",
			"Taxed", "Image", "Short Desc", "Extra 1", "Extra 2", "Extra 3",
			"Extra 4", "Extra 5", "Decremented SKUs" };

	private String[] displayFields = { "total", "weight", "quantity", "code",
			"name" };

	private String sortByString = "code";

	private String formAction = "/OrderItem.do";

	private String addFormAction = "/OrderItemAddForm.do";

	private String editFormAction = "/OrderItemEditForm.do";

	private String editDeleteFormAction = "/OrderItemEditDelete.do";

	private String childEditAction = "/OrderItemAttribute.do";

	private String orderID = "";

	private String[] orderItemID = null;

	private String[] orderDeliveryID = null;

	private String[] total = null;

	private String[] weight = null;

	private String[] quantity = null;

	private String[] productID = null;

	private String[] manufacturerID = null;

	private String[] code = null;

	private String[] seoCode = null;

	private String[] name = null;

	private String[] isActive = null;

	private String[] unitCost = null;

	private String[] unitPrice = null;

	private String[] altPrice = null;

	private String[] productWeight = null;

	private String[] isTaxed = null;

	private String[] image = null;

	private String[] shortDescription = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] extra4 = null;

	private String[] extra5 = null;

	private String[] decrementedSKUs = null;

	public String[] getAltPrice() {
		return altPrice;
	}

	public void setAltPrice(String[] altPrice) {
		this.altPrice = altPrice;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getSeoCode() {
		return seoCode;
	}

	public void setSeoCode(String[] seoCode) {
		this.seoCode = seoCode;
	}

	public String[] getImage() {
		return image;
	}

	public void setImage(String[] image) {
		this.image = image;
	}

	public String[] getIsActive() {
		return isActive;
	}

	public void setIsActive(String[] isActive) {
		this.isActive = isActive;
	}

	public String[] getIsTaxed() {
		return isTaxed;
	}

	public void setIsTaxed(String[] isTaxed) {
		this.isTaxed = isTaxed;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String getOrderID() {
		return orderID;
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public String[] getProductID() {
		return productID;
	}

	public void setProductID(String[] productID) {
		this.productID = productID;
	}

	public String[] getManufacturerID() {
		return manufacturerID;
	}

	public void setManufacturerID(String[] manufacturerID) {
		this.manufacturerID = manufacturerID;
	}

	public String[] getProductWeight() {
		return productWeight;
	}

	public void setProductWeight(String[] productWeight) {
		this.productWeight = productWeight;
	}

	public String[] getQuantity() {
		return quantity;
	}

	public void setQuantity(String[] quantity) {
		this.quantity = quantity;
	}

	public String[] getTotal() {
		return total;
	}

	public void setTotal(String[] total) {
		this.total = total;
	}

	public String[] getUnitCost() {
		return unitCost;
	}

	public void setUnitCost(String[] unitCost) {
		this.unitCost = unitCost;
	}

	public String[] getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(String[] unitPrice) {
		this.unitPrice = unitPrice;
	}

	public String[] getWeight() {
		return weight;
	}

	public void setWeight(String[] weight) {
		this.weight = weight;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String[] getOrderDeliveryID() {
		return orderDeliveryID;
	}

	public void setOrderDeliveryID(String[] orderDeliveryID) {
		this.orderDeliveryID = orderDeliveryID;
	}

	public String[] getOrderItemID() {
		return orderItemID;
	}

	public void setOrderItemID(String[] orderItemID) {
		this.orderItemID = orderItemID;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getExtra4() {
		return extra4;
	}

	public void setExtra4(String[] extra4) {
		this.extra4 = extra4;
	}

	public String[] getExtra5() {
		return extra5;
	}

	public void setExtra5(String[] extra5) {
		this.extra5 = extra5;
	}

	public String[] getShortDescription() {
		return shortDescription;
	}

	public void setShortDescription(String[] shortDescription) {
		this.shortDescription = shortDescription;
	}

	public String[] getDecrementedSKUs() {
		return decrementedSKUs;
	}

	public void setDecrementedSKUs(String[] decrementedSKUs) {
		this.decrementedSKUs = decrementedSKUs;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getOrderItemID() != null) {
			for (int i = 0; i < getOrderItemID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null
							|| getCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("name")) {
					if (getName().length < i + 1 || getName()[i] == null
							|| getName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Name"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isActive")) {
					if (getIsActive().length < i + 1
							|| getIsActive()[i] == null
							|| getIsActive()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Active"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isTaxed")) {
					if (getIsTaxed().length < i + 1 || getIsTaxed()[i] == null
							|| getIsTaxed()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Taxed"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("productID")) {
					if (getProductID().length < i + 1
							|| getProductID()[i] == null
							|| getProductID()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Product ID"));
					}
				}
			}
		}
		return errors;
	}
}
