package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author Tony Zakula
 *
 */
public class SettingsFormFirstData extends BaseDynaForm {

	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(SettingsFormFirstData.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("firstDataClientCertificatePath") == null
				|| request.getParameter("firstDataClientCertificatePath").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Client Certificate Path"));
		}
		if (request.getParameter("firstDataClientCertificatePassword") == null
				|| request.getParameter("firstDataClientCertificatePassword").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Client Certificate Password"));
		}
		if (request.getParameter("firstDataStoreNumber") == null
				|| request.getParameter("firstDataStoreNumber").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Store Number"));
		}
		if (request.getParameter("firstDataAPIHostName") == null
				|| request.getParameter("firstDataAPIHostName").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "API Host Name"));
		}
		if (request.getParameter("firstDataAPIPort") == null
				|| request.getParameter("firstDataAPIPort").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "API Port Number"));
		}
		if (request.getParameter("firstDataTransactionType") == null
				|| request.getParameter("firstDataTransactionType").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Transaction Type"));
		}
		if (request.getParameter("firstDataTestMode") == null
				|| request.getParameter("firstDataTestMode").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Test Mode"));
		}
		return getErrors();
	}

}
