package com.softslate.commerce.administrator.tax;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import com.softslate.commerce.businessobjects.tax.TaxRateProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/BasicTaxAdd.do". Processes a request to add a record to the
 * system.
 * 
 * @author David Tobey
 * 
 */
public class BasicTaxAddAction extends BaseAction {

	static Log log = LogFactory.getLog(BasicTaxAddAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Add the record
		BaseAdministratorForm baseForm = (BaseAdministratorForm) form;

		TaxRateProcessor processor = (TaxRateProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"taxRateProcessorImplementer");
		processor.addTaxRate(PropertyUtils.describe(form));

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.recordAdded"));
		saveMessages(baseForm.getRequest(), baseForm.getMessages());
		
		// If successful, signal the form to be reinstantiated.
		request.setAttribute("reset", "true");

		return mapping.findForward("success");
	}
}
