package com.softslate.commerce.businessobjects.payment.authorizeNetCIM;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;

import AuthNet.Rebill.MerchantAuthenticationType;
import AuthNet.Rebill.Service;
import AuthNet.Rebill.ServiceSoap;

public class AuthorizeNetCIMService {

	private static MerchantAuthenticationType m_auth = null;

	public static MerchantAuthenticationType getMerchantAuthentication(
			String merchantName, String transactionKey) {
		if (m_auth == null) {
			m_auth = new MerchantAuthenticationType();
			m_auth.setName(merchantName);
			m_auth.setTransactionKey(transactionKey);
		}
		return m_auth;
	}

	private static ServiceSoap service_soap = null;

	public static ServiceSoap getServiceSoap(String wsdlUrl, String serviceUrl,
			boolean fresh) {
		if (service_soap != null && !fresh)
			return service_soap;
		return getServiceSoap(wsdlUrl, serviceUrl);
	}

	private static ServiceSoap getServiceSoap(String wsdlUrl, String serviceUrl) {

		URL wsdl_url = null;
		try {
			wsdl_url = new URL(wsdlUrl);
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
		if (wsdl_url == null) {
			return null;
		}

		Service rebill_ws = new Service(wsdl_url, new QName(serviceUrl,
				"Service"));
		service_soap = rebill_ws.getServiceSoap();
		return service_soap;
	}

}
