package com.softslate.commerce.businessobjects.product;

import java.util.Collection;
import java.util.Locale;
import java.util.Map;

import org.apache.lucene.search.Query;
import org.apache.lucene.search.TopDocs;

import com.softslate.commerce.businessobjects.core.BusinessObject;

/**
 * Interface representing a list of searchable objects in the the system.
 * 
 * The default "searchListImplementer" is
 * {@link com.softslate.commerce.businessobjects.product.SearchListBean}.
 * 
 * @author Jason McWilliams
 * 
 */
public interface SearchList extends BusinessObject {

	abstract int getSearchListType();

	abstract void setSearchListType(int searchListType);

	abstract int[] getObjectTypes();

	abstract void setObjectTypes(int[] objectTypes);

	abstract float[] getObjectScores();

	abstract void setObjectScores(float[] objectScores);

	abstract String[] getObjectExcerpts();

	abstract void setObjectExcerpts(String[] objectExcerpts);

	abstract int getCategoryID();

	abstract void setCategoryID(int categoryID);

	abstract int getManufacturerID();

	abstract void setManufacturerID(int manufacturerID);

	abstract int getItemsPerPage();

	abstract void setItemsPerPage(int itemsPerPage);

	abstract int getFirstRow();

	abstract void setFirstRow(int firstRow);

	abstract int getItemCount();

	abstract void setItemCount(int itemCount);

	abstract String getSearchString();

	abstract void setSearchString(String searchString);

	abstract String getSortBy();

	abstract void setSortBy(String sortBy);

	abstract String getIndexDir();

	abstract void setIndexDir(String indexDir);

	abstract Collection getSearchListCollection();

	abstract void setSearchListCollection(Collection searchListCollection);

	abstract Collection getLuceneDocCollection();

	abstract void setLuceneDocCollection(Collection luceneDocCollection);

	abstract Query getLuceneQuery();

	abstract void setLuceneQuery(Query luceneQuery);

	abstract Collection getFacetResultCollection();

	abstract void setFacetResultCollection(Collection luceneDocCollection);

	abstract Collection getSimpleFacetResultCollection();

	abstract void setSimpleFacetResultCollection(Collection luceneDocCollection);

	abstract Map getSimpleFacetResultMap();

	abstract void setSimpleFacetResultMap(Map simpleFacetResultMap);

	public TopDocs getTopDocs();

	public void setTopDocs(TopDocs topDocs);

	public String[] getFacets();

	public void setFacets(String[] facets);
	
	public Map getFacetCategories();

	public void setFacetCategories(Map facetCategories);

	public Map getFacetManufacturers();

	public void setFacetManufacturers(Map facetManufacturers);

	public Map getCategoryMap();

	public void setCategoryMap(Map categoryMap);

	abstract void addFormatting(Locale locale, String currencyCode);
}
