package com.softslate.commerce.customer.core;

import java.io.*;
import java.util.Map;
import java.util.HashMap;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.tagext.BodyTagSupport;

import org.apache.commons.lang.StringUtils;

/* Ensure that javascript scripts are loaded just once per request */
public class LoadScriptTag extends BodyTagSupport {

	private static final long serialVersionUID = 2554838775549010624L;
	private PageContext pc = null;
	private Tag parent = null;
	private String name = null;

	public void setPageContext(PageContext p) {
		pc = p;
	}

	public void setParent(Tag t) {
		parent = t;
	}

	public Tag getParent() {
		return parent;
	}

	public void setName(String s) {
		name = s;
	}

	public String getName() {
		return name;
	}

	public int doStartTag() throws JspException {

		try {
			if (StringUtils.isBlank(name)) {
				return EVAL_BODY_INCLUDE;
			}
			Map<String, Integer> loadedScripts = (Map<String, Integer>) pc
					.getRequest().getAttribute("ssc_loadedScripts");
			if (loadedScripts == null) {
				loadedScripts = new HashMap<String, Integer>();
				pc.getRequest()
						.setAttribute("ssc_loadedScripts", loadedScripts);
			}
			if (loadedScripts.containsKey(name)) {
				loadedScripts.put(name, loadedScripts.get(name) + 1);
				pc.getOut().write(
						"<!-- Skipping: " + name + " Requested: "
								+ loadedScripts.get(name) + " -->");
				return SKIP_BODY;
			} else {
				loadedScripts.put(name, 1);
				pc.getOut().write(
						"<!-- Loading: " + name + " Requested: "
								+ loadedScripts.get(name) + " -->");
				return EVAL_BODY_INCLUDE;
			}

		} catch (IOException e) {
			throw new JspTagException("An IOException occurred.");
		}

	}

	public int doEndTag() throws JspException {
		return EVAL_PAGE;
	}

	public void release() {
		pc = null;
		parent = null;
		name = null;
	}

}