package com.softslate.commerce.customer.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.ActionUtils;
import com.softslate.commerce.customer.core.BaseForm;
import com.softslate.commerce.customer.customer.RegisterForm;

/**
 * Struts action class for submissions to register a new account during
 * checkout. Used for requests to "/CheckoutForceRegister.do" and
 * "/CheckoutInviteRegister.do".
 * <p>
 * The <code>execute</code> method of this class invokes
 * {@link com.softslate.commerce.customer.order.CheckoutAction#processCheckoutRegister(BaseForm)}
 * to process the request.
 * 
 * @author David Tobey
 */
public class CheckoutRegisterAction extends CheckoutAction {
	static Log log = LogFactory.getLog(CheckoutRegisterAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");

		// Initialize the RegisterForm
		RegisterForm baseForm = (RegisterForm) form;

		synchronized (baseForm.getRequest().getSession()) {
			// Make sure the user is allowed to have this action performed.
			ActionUtils actionUtils = (ActionUtils) baseForm
					.getBusinessObjectFactory().createUtilsObject(
							"actionUtilsImplementer");
			String checkoutScreen = actionUtils.findCheckoutScreen(baseForm);
			if (!(checkoutScreen.equals("inviteLogin") || checkoutScreen
					.equals("forceLogin"))) {
				return baseForm.getMapping().findForward(checkoutScreen);
			}

			// Process the form.
			return processCheckoutRegister(baseForm);
		}
	}
}
