package com.softslate.commerce.customer.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;


/**
 * Struts action class for submissions to view the checkout register form. Used
 * for requests to "/CheckoutInviteRegisterForm.do".
 * <p>
 * The <code>execute</code> method of this class invokes
 * {@link com.softslate.commerce.customer.order.CheckoutAction#prepareRegisterForm(BaseForm)}
 * to prepare the register form.
 * 
 * @author David Tobey
 */
public class CheckoutRegisterFormAction extends CheckoutAction {
	static Log log = LogFactory.getLog(CheckoutRegisterFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		// Initialize a new BaseForm
		BaseForm baseForm = new BaseForm();
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);

		// Prepare the form.
		prepareRegisterForm(baseForm);
		return baseForm.getMapping().findForward("success");
	}

}
