package com.softslate.commerce.daos.core;

import com.softslate.commerce.businessobjects.core.RequestLog;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscRequestLog</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface RequestLogDAO extends DAOInterface {
	abstract RequestLog getRequestLog();

	abstract void setRequestLog(RequestLog requestLog);

	abstract void loadRequestLogFromID() throws Exception;

	abstract void insertRequestLog() throws Exception;

	abstract void insertRequestLog(boolean commit) throws Exception;

	abstract void updateRequestLog() throws Exception;

	abstract void updateRequestLog(boolean commit) throws Exception;

	abstract void deleteRequestLog() throws Exception;

	abstract void deleteRequestLog(boolean commit) throws Exception;
}
