package com.softslate.commerce.daos.email;

import java.util.Collection;
import java.util.LinkedHashSet;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.email.Template;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;
import com.softslate.commerce.daos.core.DataAccessException;

public class TemplateGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements TemplateGatewayDAO {

	static Log log = LogFactory.getLog(TemplateGatewayDAOHibernate.class);

	public Map loadTemplatesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public void editDeleteTemplates(Map parameters, BusinessObjectFactory bof) throws Exception {
		editDeleteItems(parameters, bof);
	}

	public Collection<Template> loadAllTemplates() throws DataAccessException {
		int maxRecords = 1000;
		String maxAdminRecordsToDisplay = (String) getSettings().getValue("maxAdminRecordsToDisplay");
		if (maxAdminRecordsToDisplay != null) {
			maxRecords = Integer.parseInt(maxAdminRecordsToDisplay);
		}
		Collection<Template> templates = null;
		Session session = getDaoFactory().startSession();
		try {
			Query q = getNamedQuery(session, "template.selectAll");
			q.setMaxResults(maxRecords);
			templates = new LinkedHashSet<Template>(q.list());
		} catch (HibernateException he) {
			if (log.isErrorEnabled())
				log.error("Hibernate error: " + he.toString());
			throw new DataAccessException(he);
		}
		return templates;
	}

	public Template loadTemplateFromCode(String code) throws Exception {
		Template template = null;
		Session session = getDaoFactory().startSession();
		try {
			Query q = getNamedQuery(session, "template.selectFromCode");
			q.setString("code", code);
			template = (Template) q.uniqueResult();
		} catch (HibernateException he) {
			if (log.isErrorEnabled())
				log.error("Hibernate error: " + he.toString());
			throw new DataAccessException(he);
		}
		return template;
	}

}
