package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.OrderDelivery;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscOrderDelivery</code> table of
 * the database.
 * 
 * @author David Tobey
 * 
 */
public interface OrderDeliveryDAO extends DAOInterface {
    abstract OrderDelivery getOrderDelivery();

    abstract void setOrderDelivery(OrderDelivery orderDelivery);

    abstract void insertOrderDelivery() throws Exception;

    abstract void updateOrderDelivery() throws Exception;

    abstract void loadOrderDeliveryFromID() throws Exception;

    abstract void insertOrderDelivery(boolean commit) throws Exception;

    abstract void updateOrderDelivery(boolean commit) throws Exception;

    abstract void deleteOrderDelivery() throws Exception;

    abstract void deleteOrderDelivery(boolean commit) throws Exception;

}
