package com.softslate.commerce.daos.order;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to order shipping rules.
 * 
 * @author Jason McWilliams
 * 
 */
public interface OrderShippingRuleGatewayDAO extends DAOInterface {
	abstract Map loadOrderShippingRulesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteOrderShippingRules(Map parameters,
			BusinessObjectFactory bof) throws Exception;
	
	abstract Collection loadOrderShippingRulesByPackageType(int orderID) throws Exception;
}
