<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsCustomerFollowUpJob.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings control the scheduled Customer Follow Up Job.
</div>

<br/>

<html:form action="/SettingsProcessCustomerFollowUpJob" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="CustomerFollowUpJob">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'CustomerFollowUpJob-optOutType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="CustomerFollowUpJob-optOutType">
									<c:if var="valueFound" test="${false}"/>
									<c:forTokens var="stat" varStatus="current" items="${settings.map.optOutTypes}" delims=","> 
										<% pageContext.setAttribute("stat", ((String) pageContext.getAttribute("stat")).trim()); %>
										<option value="${stat}" <c:if test="${setting.smallValue eq stat}" >selected="selected"</c:if>><c:out value="${stat}"/></option>
										<c:if test="${!valueFound and stat eq setting.smallValue}">
											<c:if var="valueFound" test="${true}"/>
										</c:if>
									</c:forTokens>
									<c:if test="${!valueFound}">
										<option value="${setting.smallValue}"><c:out value="${setting.smallValue}"/></option>
									</c:if>
								</select>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'CustomerFollowUpJob-templateCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<select name="CustomerFollowUpJob-templateCode">
									<c:if var="valueFound" test="${false}"/>
									<c:forEach var="template" items="${templates}">
										<option value="${template.code}" <c:if test="${setting.mediumValue eq template.code}" >selected="selected"</c:if>><c:out value="${template.code}"/></option>
										<c:if test="${!valueFound and template.code eq setting.mediumValue}">
											<c:if var="valueFound" test="${true}"/>
										</c:if>
									</c:forEach>
									<c:if test="${!valueFound}">
										<option value="${setting.mediumValue}"><c:out value="${setting.mediumValue}"/></option>
									</c:if>
								</select>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
		<logic:present role="superuser,administrator,runAllJobs,runCustomerFollowUpJob">
			<tr class="<c:out value="${requestScope.thisClass}"/>">
				<td class="setting">Run Job:</td>
				<td class="value"><a href="RunQuartzCustomerFollowUpJob.do" class="button">Run Job Now</a> (must be turned "on" above).</td>
			</tr>
		</logic:present>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsCustomerFollowUpJobEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
<!-- End settingsCustomerFollowUpJob.jsp -->
