<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsIndex.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Following is a list of all of the configurable settings in the system, 
	along with links to the screens in this Administrator where they may be defined.
	This index can be used to find a setting when you aren't sure which screen is used to edit it.
	You can use your browser's Find function to search for the setting you're looking for.
</div>

<br/>

<table class="settingsIndexTable settingsTable">
	<tr>
		<th class="value">Setting Type</th>
		<th class="value">Setting</th>
		<th class="value">Value</th>
		<th class="value">Description</th>
	</tr>
	<logic:iterate name="administratorSettings" id="setting" indexId="index">
		<c:choose>
			<c:when test="${setting.type eq 'UPS'
				or setting.type eq 'USPSSHIPPING'
				or setting.type eq 'payflowLink'
				or setting.type eq 'payflowPro'
				or setting.type eq 'authorizeNet'
				or setting.type eq 'paypalUK'
				or setting.type eq 'googleCheckout'
				or setting.type eq 'paypal'
				or setting.type eq 'PAYPOINT'
				or setting.type eq 'UNUSED'
			}">
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<tr class="<c:out value="${requestScope.thisClass}"/>">
					<td class="value">
						<logic:match name="setting" property="type" value="ADVANCEDSYSTEM">
							<a href="SettingsAdvancedSystem.do">Advanced System Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="ADDRESS">
							<a href="SettingsAddress.do">Address Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="STOREURLS">
							<a href="SettingsStoreURLs.do">Store URL Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="CUSTOMERACCOUNT">
							<a href="SettingsCustomerAccount.do">Customer Account Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="CHECKOUT">
							<a href="SettingsCheckoutFlow.do">Checkout Flow Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="SHIPPING">
							<a href="ShippingSettings.do">Shipping Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="PAYMENTS">
							<a href="PaymentSettings.do">Payment Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="TAXES">
							<a href="TaxSettings.do">Tax Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="STORELOGO">
							<a href="SettingsStoreLogo.do">Store Logo Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="THEMES">
							<a href="SettingsThemes.do">Theme Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="GENERALDISPLAY">
							<a href="SettingsGeneralDisplay.do">General Display Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="HEADERANDSIDEPANEL">
							<a href="SettingsHeaderSidePanel.do">Header, Side Panel, and Welcome Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="PRODUCTLISTDISPLAY">
							<a href="SettingsProductListDisplay.do">Product List Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="ADVANCEDDISPLAY">
							<a href="SettingsAdvancedDisplay.do">Advanced Display Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="STOREINFO">
							<a href="SettingsStoreContactInfo.do">Store Contact Info Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="EMAILERCONTACT">
							<a href="SettingsEmailerContactForm.do">SoftSlate Emailer Contact Form Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="EMAILERREGISTRATION">
							<a href="SettingsEmailerCustomerRegistration.do">SoftSlate Emailer Customer Registration Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="EMAILERCHECKOUT">
							<a href="SettingsEmailerCheckout.do">SoftSlate Emailer Checkout Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="EMAIL">
						<logic:notMatch name="setting" property="type" value="EMAILER">
							<a href="SettingsEmail.do">Outgoing Email Settings</a>
						</logic:notMatch>
						</logic:match>
						<logic:match name="setting" property="type" value="ENCRYPTION">
							<a href="SettingsEncryption.do">Encryption Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="SEO">
							<a href="SettingsSEO.do">SEO Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="TRACKING">
							<a href="SettingsTracking.do">Tracking Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="INVENTORY">
							<a href="SettingsInventory.do">Inventory Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="DISCOUNT">
							<a href="SettingsDiscounts.do">Discount Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="SESSION">
							<a href="SettingsSessionManagement.do">Session Management Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="LUCENE">
							<a href="SettingsAdvancedSearch.do">Advanced Search Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="CAPTCHAVERIFICATION">
							<a href="SettingsCaptchaVerification.do">Captcha Verification Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="CONTACTFORM">
							<a href="SettingsContactForm.do">Contact Form Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="USERDEFINED">
							<a href="UserSetting.do">Custom Settings</a>
						</logic:match>
						<logic:match name="setting" property="type" value="AVATAX">
							<a href="SettingsAvaTax.do">AvaTax Settings</a>
						</logic:match>
					</td>
					<td class="setting"><c:out value="${setting.name}"/>:</td>
					<td class="value">
						<c:choose>
							<c:when test="${setting.valueType eq 'booleanValue'}">
								<c:if test="${setting.integerValue eq '1'}">True</c:if>
								<c:if test="${setting.integerValue eq '0'}">False</c:if>
							</c:when>
							<c:when test="${setting.valueType eq 'integerValue'}">
								<c:out value="${setting.integerValue}"/>
							</c:when>
							<c:when test="${setting.valueType eq 'smallValue'}">
								<c:out value="${setting.smallValue}"/>
							</c:when>
							<c:when test="${setting.valueType eq 'mediumValue'}">
								<c:out value="${setting.mediumValue}"/>
							</c:when>
							<c:when test="${setting.valueType eq 'textValue'}">
								<c:set var="textValue" value="${setting.textValue}"/>
								<% 
									String textValue = (String) pageContext.getAttribute("textValue");
									if (textValue != null && textValue.indexOf(" ") == -1) {
										textValue = textValue.replaceAll(",", ", ");
										pageContext.setAttribute("textValue", textValue);
									}
								%>
								<c:out value="${textValue}"/>
							</c:when>
						</c:choose>
					</td>
					<td class="value">
						<c:out value="${setting.description}" escapeXml="false"/>
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
	</logic:iterate>
</table>

<!-- End settingsIndex.jsp -->
