<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start productFieldColumns.jsp -->
<bean:define id="currencyCode" name="settings" property="value(currencyCode)"/>
<c:if test="${!empty categories}">
	<bean:size id="categoriesSize" name="categories"/>
</c:if>
<c:if test="${!empty manufacturerCollection}">
	<bean:size id="manufacturersSize" name="manufacturerCollection"/>
</c:if>
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]"/>
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'productID' or field eq 'created'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'isActive' or field eq 'isTaxed'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'primaryCategoryID' and (empty categories or (!empty categoriesSize and categoriesSize == 0))}">
							&#8212;
						</c:when>
						<c:when test="${field eq 'primaryCategoryID' and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
							<c:if test="${!empty item.primaryCategory}"><% ((com.softslate.commerce.businessobjects.product.Product)request.getAttribute("item")).setPrimaryCategoryID(new Integer(((com.softslate.commerce.businessobjects.product.Product)request.getAttribute("item")).getPrimaryCategory().getCategoryID()));%></c:if>
							<c:if test="${empty item.primaryCategory}"><% ((com.softslate.commerce.businessobjects.product.Product)request.getAttribute("item")).setPrimaryCategoryID(null);%></c:if>
							<html:select name="item" property="primaryCategoryID">
								<logic:empty name="item" property="primaryCategoryID">
									<option value="0" selected="selected" class="genericGridData">[No Pri Category]</option>
								</logic:empty>
								<logic:notEmpty name="item" property="primaryCategoryID">
									<option value="0" class="genericGridData">[No Pri Category]</option>
								</logic:notEmpty>
								<logic:iterate name="categories" id="category">
									<option value="<c:out value="${category.categoryID}"/>" class="genericGridData" <c:if test="${category.categoryID eq item.primaryCategoryID}">selected="selected"</c:if>>
										<c:out value="${category.name}"/>
									</option>
								</logic:iterate>
							</html:select>
						</c:when>
						<c:when test="${field eq 'manufacturerID' and (empty manufacturerCollection or (!empty manufacturersSize and manufacturersSize == 0))}">
							&#8212;
						</c:when>
						<c:when test="${field eq 'manufacturerID' and manufacturersSize <= settings.map.maxAdminRecordsToDisplay}">
							<c:if test="${!empty item.manufacturer}"><% ((com.softslate.commerce.businessobjects.product.Product)request.getAttribute("item")).setManufacturerID(new Integer(((com.softslate.commerce.businessobjects.product.Product)request.getAttribute("item")).getManufacturer().getManufacturerID()));%></c:if>
							<c:if test="${empty item.manufacturer}"><% ((com.softslate.commerce.businessobjects.product.Product)request.getAttribute("item")).setManufacturerID(null);%></c:if>
							<html:select name="item" property="manufacturerID">
								<logic:empty name="item" property="manufacturerID">
									<option value="0" selected="selected" class="genericGridData">[No Manufacturer]</option>
								</logic:empty>
								<logic:notEmpty name="item" property="manufacturerID">
									<option value="0" class="genericGridData">[No Manufacturer]</option>
								</logic:notEmpty>
								<html:options collection="manufacturerCollection" property="manufacturerID" labelProperty="name" styleClass="genericGridData"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'productCategoryOrder'}">
							<c:set var="productCategoryOrder" value=""/>
							<logic:iterate id="pc" name="item" property="productCategories">
								<c:if test="${pc.categoryID == mainForm.categoryID}">
									<c:set var="productCategoryOrder" value="${pc.productCategoryOrder}"/>
								</c:if>
							</logic:iterate>
							<c:choose>
								<c:when test="${settings.map.keepOrdersInSync eq '1'}">
									<c:out value="${productCategoryOrder}" />
								</c:when>
								<c:otherwise>
									<input type="text" maxlength="255" name="<c:out value="${field}" />" value="<c:out value="${productCategoryOrder}" />" style="width: 90%"/>
								</c:otherwise>
							</c:choose>
							<c:if test="${settings.map.keepOrdersInSync eq '1' and !empty productCategoryOrder}">
								<span class="calloutMatch">**</span>
								<c:set var="keepOrdersInSyncAsterisk" scope="request" value="true"/>
							</c:if>
						</c:when>
						<c:when test="${field eq 'relatedProductOrder'}">
							<c:set var="relatedProductOrder" value=""/>
							<logic:iterate id="rp" name="product" property="relatedProducts">
								<c:if test="${rp.productID == item.productID}">
									<c:set var="relatedProductOrder" value="${rp.relatedProductOrder}"/>
								</c:if>
							</logic:iterate>
							<c:choose>
								<c:when test="${settings.map.keepOrdersInSync eq '1'}">
									<c:out value="${relatedProductOrder}" />
								</c:when>
								<c:otherwise>
									<input type="text" maxlength="255" name="<c:out value="${field}" />" value="<c:out value="${relatedProductOrder}" />" style="width: 90%"/>
								</c:otherwise>
							</c:choose>
							<c:if test="${settings.map.keepOrdersInSync eq '1' and !empty relatedProductOrder}">
								*
							</c:if>
						</c:when>
						<c:when test="${field eq 'relatedType'}">
							<c:set var="relatedType" value=""/>
							<logic:iterate id="rp" name="product" property="relatedProducts">
								<c:if test="${rp.productID == item.productID}">
									<c:set var="relatedType" value="${rp.relatedType}"/>
								</c:if>
							</logic:iterate>
							<input type="text" maxlength="32" name="<c:out value="${field}" />" value="<c:out value="${relatedType}" />" style="width: 90%"/>
						</c:when>
						<c:when test="${field eq 'description' or field eq 'header' or field eq 'footer'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'isActive' or field eq 'isTaxed'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'unitPrice' or field eq 'altPrice' or field eq 'unitCost'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}"><c:out value="${item[field]}" /></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'weight'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<fmt:formatNumber type="number"><c:out value="${item[field]}" /></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'primaryCategoryID'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${empty item.primaryCategoryID or item.primaryCategoryID == 0}">
									&#151;
								</c:when>
								<c:otherwise>
									<c:out value="${item.primaryCategory.name}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'manufacturerID'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${empty item.manufacturerID or item.manufacturerID == 0}">
									&#151;
								</c:when>
								<c:otherwise>
									<c:out value="${item.manufacturer.name}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'productCategoryOrder'}">
							<c:set var="productCategoryOrder" value=""/>
							<logic:iterate id="pc" name="item" property="productCategories">
								<c:if test="${pc.categoryID == mainForm.categoryID}">
									<c:set var="productCategoryOrder" value="${pc.productCategoryOrder}"/>
								</c:if>
							</logic:iterate>
							<c:out value="${productCategoryOrder}"/>
						</c:when>
						<c:when test="${field eq 'relatedProductOrder'}">
							<c:set var="relatedProductOrder" value=""/>
							<logic:iterate id="rp" name="product" property="relatedProducts">
								<c:if test="${rp.productID == item.productID}">
									<c:set var="relatedProductOrder" value="${rp.relatedProductOrder}"/>
								</c:if>
							</logic:iterate>
							<c:out value="${relatedProductOrder}"/>
						</c:when>
						<c:when test="${field eq 'relatedType'}">
							<c:set var="relatedType" value=""/>
							<logic:iterate id="rp" name="product" property="relatedProducts">
								<c:if test="${rp.productID == item.productID}">
									<c:set var="relatedType" value="${rp.relatedType}"/>
								</c:if>
							</logic:iterate>
							<c:out value="${relatedType}"/>
						</c:when>
						<c:otherwise>
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>

<!-- End productFieldColumns.jsp -->
