// ////////////////////////////////////////////////////////////////////////////////////////
// The edit delivery tool is triggered from the order overview screen, namely orderOverview.jsp. 
// The tool is triggered by clicking the Edit link next to the delivery address.

YAHOO.namespace("editDelivery");
	
// Shared Ajax connection methods
YAHOO.editDelivery.failure = function(o) {
	YAHOO.editDelivery.editDeliveryModule.setBody(o.status + ': ' + o.statusText);
	YAHOO.editDelivery.editDeliveryResultsModule.setBody("");
}
YAHOO.editDelivery.editDeliveryArgs = ['foo','bar'];

// Initialization - run when the DOM is first loaded and after successful processing
YAHOO.editDelivery.initialize = function() {

	// Set up modules
	YAHOO.editDelivery.editDeliveryModule = new YAHOO.widget.Module("editDeliveryModule");
	YAHOO.editDelivery.editDeliveryResultsModule = new YAHOO.widget.Module("editDeliveryResultsModule");

	// Set up listeners (the product select box also has its own listener, defined when it is loaded)
	YAHOO.util.Event.addListener("editDeliveryA", "click", YAHOO.editDelivery.showEditDeliveryForm);
	YAHOO.util.Event.addListener("editDeliveryForm", "submit", YAHOO.editDelivery.submitProcessEditDelivery);
}

// Step one - clicking the "Edit" link - load up the order and display the form
YAHOO.editDelivery.clearPrompt = function(o) {
	if (o != null) {
		o.value = "";
		YAHOO.util.Dom.removeClass(o, "prompt");
		YAHOO.util.Event.removeListener(o, "focus");
	}
}
YAHOO.editDelivery.clearPromptCallback = function(e, id) {
	YAHOO.editDelivery.clearPrompt(YAHOO.util.Dom.get(id));
}
YAHOO.editDelivery.clearAllPrompts = function() {
	var prompts = YAHOO.util.Dom.getElementsByClassName("prompt", "input", "editDeliveryModule");
	for (key in prompts) {
		YAHOO.editDelivery.clearPrompt(prompts[key]);
	}
}
YAHOO.editDelivery.addPrompt = function(id, label) {
	if (YAHOO.util.Dom.get(id) != null && YAHOO.util.Dom.get(id).value == '') {
		YAHOO.util.Dom.addClass(YAHOO.util.Dom.get(id), "prompt");
		YAHOO.util.Dom.get(id).value = label;
		YAHOO.util.Event.addListener(id, "focus", YAHOO.editDelivery.clearPromptCallback, id);
	}
}
YAHOO.editDelivery.addAllPrompts = function() {
	var promptables = YAHOO.util.Dom.getElementsByClassName("promptable", "input", "editDeliveryModule");
	for (key in promptables) {
		var thisId = YAHOO.util.Dom.generateId(promptables[key]);
		YAHOO.editDelivery.addPrompt(thisId, thisId);
	}
}
YAHOO.editDelivery.loadOrderSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else {

		YAHOO.editDelivery.editDeliveryModule.setBody(o.responseText);
		
		// Add prompts for all empty fields
		YAHOO.editDelivery.addAllPrompts();
	}
};
YAHOO.editDelivery.loadOrderCallback = {
  success:YAHOO.editDelivery.loadOrderSuccess,
  failure:YAHOO.editDelivery.failure,
  argument:YAHOO.editDelivery.editDeliveryArgs
};
YAHOO.editDelivery.showEditDeliveryForm = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.editDelivery.editDeliveryModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.editDelivery.editDeliveryResultsModule.setBody("");
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("editDeliveryForm"));
	YAHOO.editDelivery.transaction = YAHOO.util.Connect.asyncRequest('GET', 
		'LoadOrderDelivery.do', 
		YAHOO.editDelivery.loadOrderCallback, 
		null);
}

// Step two - updating the billing information
YAHOO.editDelivery.processEditDeliverySuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else if (o.responseText.indexOf("id=\"orderOverview\"") != -1) {

		// Replace the body of the page
		YAHOO.util.Dom.get("bodyContent").innerHTML = o.responseText;
		
		// Pop the browser up to the messages if there are any
		if (o.responseText.indexOf("class=\"ajaxMessages\"") != -1) {
			YAHOO.administratorCore.focusOnMessages();
		}
		
		// Initialize so the Edit link works again
		YAHOO.administratorCore.initializeOrderOverviewTools();
	} else {

		// Application error
		YAHOO.editDelivery.editDeliveryModule.setBody(o.responseText);
		YAHOO.editDelivery.editDeliveryResultsModule.setBody("");
	}
};
YAHOO.editDelivery.processEditDeliveryCallback = {
  success:YAHOO.editDelivery.processEditDeliverySuccess,
  failure:YAHOO.editDelivery.failure,
  argument:YAHOO.editDelivery.editDeliveryArgs
};
YAHOO.editDelivery.submitProcessEditDelivery = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.editDelivery.editDeliveryResultsModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.editDelivery.clearAllPrompts();
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("editDeliveryForm"));
	YAHOO.editDelivery.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'EditDeliveryProcess.do', 
		YAHOO.editDelivery.processEditDeliveryCallback);
}
