// ////////////////////////////////////////////////////////////////////////////////////////
// The update shipping tool is triggered from the order overview screen, namely orderOverview.jsp. 
// The tool is triggered by clicking the Edit link next to the shipping method.

YAHOO.namespace("updateShipping");
	
// Shared Ajax connection methods
YAHOO.updateShipping.failure = function(o) {
	YAHOO.updateShipping.updateShippingModule.setBody(o.status + ': ' + o.statusText);
	YAHOO.updateShipping.updateShippingResultsModule.setBody("");
}
YAHOO.updateShipping.updateShippingArgs = ['foo','bar'];

// Initialization - run when the DOM is first loaded and after successful processing
YAHOO.updateShipping.initialize = function() {

	// Set up modules
	YAHOO.updateShipping.updateShippingModule = new YAHOO.widget.Module("updateShippingModule");
	YAHOO.updateShipping.updateShippingResultsModule = new YAHOO.widget.Module("updateShippingResultsModule");

	// Set up listeners (the product select box also has its own listener, defined when it is loaded)
	YAHOO.util.Event.addListener("updateShippingA", "click", YAHOO.updateShipping.showUpdateShippingForm);
	YAHOO.util.Event.addListener("updateShippingForm", "submit", YAHOO.updateShipping.submitProcessUpdateShipping);
}

// Step one - clicking the "Edit" link - load up the shipping options
YAHOO.updateShipping.loadShippingOptionsSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else {

		YAHOO.updateShipping.updateShippingModule.setBody(o.responseText);
	}
};
YAHOO.updateShipping.loadShippingOptionsCallback = {
  success:YAHOO.updateShipping.loadShippingOptionsSuccess,
  failure:YAHOO.updateShipping.failure,
  argument:YAHOO.updateShipping.updateShippingArgs
};
YAHOO.updateShipping.showUpdateShippingForm = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.updateShipping.updateShippingModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.updateShipping.updateShippingResultsModule.setBody("");
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("updateShippingForm"));
	YAHOO.updateShipping.transaction = YAHOO.util.Connect.asyncRequest('GET', 
		'LoadShippingOptions.do', 
		YAHOO.updateShipping.loadShippingOptionsCallback, 
		null);
}

// Step two - updating the shipping
YAHOO.updateShipping.processUpdateShippingSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else if (o.responseText.indexOf("id=\"orderOverview\"") != -1) {

		// Replace the body of the page
		YAHOO.util.Dom.get("bodyContent").innerHTML = o.responseText;
		
		// Pop the browser up to the messages if there are any
		if (o.responseText.indexOf("class=\"ajaxMessages\"") != -1) {
			YAHOO.administratorCore.focusOnMessages();
		}
		
		// Initialize so the Edit link works again
		YAHOO.administratorCore.initializeOrderOverviewTools();
	} else {

		// Application error
		YAHOO.updateShipping.updateShippingModule.setBody(o.responseText);
		YAHOO.updateShipping.updateShippingResultsModule.setBody("");
	}
};
YAHOO.updateShipping.processUpdateShippingCallback = {
  success:YAHOO.updateShipping.processUpdateShippingSuccess,
  failure:YAHOO.updateShipping.failure,
  argument:YAHOO.updateShipping.updateShippingArgs
};
YAHOO.updateShipping.submitProcessUpdateShipping = function(e) {
	YAHOO.util.Event.preventDefault(e);
	YAHOO.updateShipping.updateShippingResultsModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("updateShippingForm"));
	YAHOO.updateShipping.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'UpdateShippingProcess.do', 
		YAHOO.updateShipping.processUpdateShippingCallback);
}
